Skip to content

# Interface: KubeObjectMenuProps<T>

Renderer.Component.KubeObjectMenuProps

## Type parameters

Name
`T`

## Hierarchy

- MenuActionsProps

↳ KubeObjectMenuProps

## Table of contents

### Properties

- autoCloseOnSelect
- autoFocus
- children
- className
- closeOnClickItem
- closeOnClickOutside
- closeOnScroll
- editable
- htmlFor
- id
- isOpen
- object
- position
- removable
- removeConfirmationMessage
- toggleEvent
- toolbar
- triggerIcon
- usePortal

### Methods

- close
- onOpen
- open
- removeAction
- updateAction

## Properties

### autoCloseOnSelect

• `Optional` autoCloseOnSelect: `boolean`

#### Inherited from

MenuActionsProps.autoCloseOnSelect

### autoFocus

• `Optional` autoFocus: `boolean`

#### Inherited from

MenuActionsProps.autoFocus

### children

• `Optional` children: `ReactNode`

#### Inherited from

MenuActionsProps.children

### className

• `Optional` className: `string`

#### Inherited from

MenuActionsProps.className

### closeOnClickItem

• `Optional` closeOnClickItem: `boolean`

#### Inherited from

MenuActionsProps.closeOnClickItem

### closeOnClickOutside

• `Optional` closeOnClickOutside: `boolean`

#### Inherited from

MenuActionsProps.closeOnClickOutside

### closeOnScroll

• `Optional` closeOnScroll: `boolean`

#### Inherited from

MenuActionsProps.closeOnScroll

### editable

• `Optional` editable: `boolean`

### htmlFor

• `Optional` htmlFor: `string`

#### Inherited from

MenuActionsProps.htmlFor

### id

• `Optional` id: `string`

#### Inherited from

MenuActionsProps.id

### isOpen

• `Optional` isOpen: `boolean`

#### Inherited from

MenuActionsProps.isOpen

### object

• object: `T`

### position

• `Optional` position: MenuPosition

#### Inherited from

MenuActionsProps.position

### removable

• `Optional` removable: `boolean`

### removeConfirmationMessage

• `Optional` removeConfirmationMessage: `ReactNode` | () => `ReactNode`

#### Inherited from

MenuActionsProps.removeConfirmationMessage

### toggleEvent

• `Optional` toggleEvent: `"click"` | `"contextmenu"`

#### Inherited from

MenuActionsProps.toggleEvent

### toolbar

• `Optional` toolbar: `boolean`

#### Inherited from

MenuActionsProps.toolbar

### triggerIcon

• `Optional` triggerIcon: `ReactNode` | IconProps

#### Inherited from

MenuActionsProps.triggerIcon

### usePortal

• `Optional` usePortal: `boolean` | `HTMLElement`

#### Inherited from

MenuActionsProps.usePortal

## Methods

### close

▸ `Optional` close(): `void`

#### Returns

`void`

#### Inherited from

MenuActionsProps.close

### onOpen

▸ `Optional` onOpen(): `void`

#### Returns

`void`

#### Inherited from

MenuActionsProps.onOpen

### open

▸ `Optional` open(): `void`

#### Returns

`void`

#### Inherited from

MenuActionsProps.open

### removeAction

▸ `Optional` removeAction(): `void`

#### Returns

`void`

#### Inherited from

MenuActionsProps.removeAction

### updateAction

▸ `Optional` updateAction(): `void`

#### Returns

`void`

#### Inherited from

MenuActionsProps.updateAction